Theme Customization
2 API calls in this section.
Get Theme Settings
Storefront & Commerce / Advanced Features / Theme Customization
GET
/storefront/themeRetrieves current theme and appearance settings for the storefront. Authentication Required: Tenant admin access
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/storefront/theme" \2 --header "Authorization: Bearer {{access_token}}"Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
JWT token for tenant admin users
Responses
Success - Theme Settings200OK
Response body
json
1{2 "success": true,3 "data": {4 "theme_settings": {5 "primary_color": "#007AFF",6 "secondary_color": "#FFFFFF",7 "accent_color": "#FF9500",8 "theme_style": "modern"9 },10 "branding": {11 "logo_url": "https://example.com/logo.png",12 "store_name": "My Awesome Store"13 }14 }15}Update Theme Settings
Storefront & Commerce / Advanced Features / Theme Customization
PUT
/storefront/themeUpdates theme and appearance settings for the storefront. Supports partial updates. Authentication Required: Tenant admin access
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request PUT "$ONDI_BASE_URL/storefront/theme" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "theme_settings": {7 "primary_color": "#34C759",8 "secondary_color": "#FFFFFF",9 "accent_color": "#30D158",10 "theme_style": "modern"11 }12}'Request body
json
1{2 "theme_settings": {3 "primary_color": "#34C759",4 "secondary_color": "#FFFFFF",5 "accent_color": "#30D158",6 "theme_style": "modern"7 }8}Request body fields
theme_settingsExampleobject
Example field from the request body.
theme_settings.primary_colorExamplestring
Example field from the request body.
theme_settings.secondary_colorExamplestring
Example field from the request body.
theme_settings.accent_colorExamplestring
Example field from the request body.
theme_settings.theme_styleExamplestring
Example field from the request body.
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
JWT token for tenant admin users
Content-TypeOptionalheader string
application/json
Responses
Success - Theme Updated200OK
Response body
json
1{2 "success": true,3 "data": {4 "theme_settings": {5 "primary_color": "#34C759",6 "secondary_color": "#FFFFFF",7 "accent_color": "#30D158",8 "theme_style": "modern"9 },10 "updated_at": "2023-12-01T19:00:00Z",11 "message": "Theme settings updated successfully"12 }13}